Bug 1374807 - please consider linking stoken against nettle
Summary: please consider linking stoken against nettle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: stoken
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1177180
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 16:53 UTC by Nikos Mavrogiannopoulos
Modified: 2016-09-30 22:50 UTC (History)
3 users (show)

Fixed In Version: stoken-0.90-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1177180
Environment:
Last Closed: 2016-09-30 22:50:20 UTC


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2016-09-09 16:53:23 UTC
+++ This bug was initially created as a clone of Bug #1177180 +++

Since version 0.8 stoken can be linked against nettle. Please consider linking against it, as there very few programs linking against libtomcrypt, and the main application that requires stoken already links against nettle (via gnutls).


In EPEL7 linking against nettle provides a benefit of relying to less external to centos/rhel packages.

Comment 1 Fedora Update System 2016-09-11 09:13:33 UTC
stoken-0.90-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f406a70a4

Comment 2 Simone Caronni 2016-09-11 09:20:51 UTC
I've also rebased the package. Quick test on my CentOS system with the NetworkManager openconnect plugin seems to work fine.

Comment 3 Fedora Update System 2016-09-12 07:19:17 UTC
stoken-0.90-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f406a70a4

Comment 4 Fedora Update System 2016-09-30 22:50:20 UTC
stoken-0.90-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.